Subject: Re: [PATCH] remote-curl: Fix push status report when all branches fail

From: Thomas Rast <[email-masked]>
Date: Fri, 20 Jan 2012 17:17:54 +0100

Shawn Pearce <[email-masked]> writes:

> On Thu, Jan 19, 2012 at 22:00, Junio C Hamano <[email-masked]> wrote:
>> "Shawn O. Pearce" <[email-masked]> writes:
>>> +cat >exp <<EOF
>>> +remote: error: hook declined to update refs/heads/dev2
>>
>> Curious. Where do we get these eight trailing whitespaces?
>
> I think this is padding being added to the end of the line by
> recv_sideband(). I noticed the trailing whitespace in the diff, but
> the test passed with it present, so I had to leave it in.

ISTR we had a policy to guard such whitespace at EOL?  Compare
e.g. c1376c12b7.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch